# Uses of Class
javax.net.ssl.KeyManagerFactory

Packages that use KeyManagerFactory
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

- ## Uses of KeyManagerFactory in javax.net.ssl

  Methods in javax.net.ssl that return KeyManagerFactory
  Modifier and Type
  Method
  Description
  `static final KeyManagerFactory`
  KeyManagerFactory.`getInstance(String algorithm)`
  Returns a `KeyManagerFactory` object that acts as a factory for key managers.
  `static final KeyManagerFactory`
  KeyManagerFactory.`getInstance(String algorithm, String provider)`
  Returns a `KeyManagerFactory` object that acts as a factory for key managers.
  `static final KeyManagerFactory`
  KeyManagerFactory.`getInstance(String algorithm, Provider provider)`
  Returns a `KeyManagerFactory` object that acts as a factory for key managers.